:root {
  --bg-color: #7fa6c8;
  --text-color: #37535d;
  --accent-color: #dee6e9;
  --secondary-color: #b2cee8;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--secondary-color);
  line-height: 1.6;
  font-family: sans-serif;
  overflow-x: hidden;
}

* {
  margin: 0;
  padding: 0;
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-thumb {
  background-color: rgb(213, 217, 222);
}

input,
textarea {
  visibility: var(--bg-color);
}

.slide {
  width: 150px;
  position: absolute;
  background-color: var(--secondary-color);
  transition: 0.5s ease;
  overflow-y: auto;
  flex-direction: column;
}

.slide-container::-webkit-scrollbar {
  width: 8px; /* Adjust scrollbar width */
}

.slide-container::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 4px;
}

.slide-container::-webkit-scrollbar-thumb:hover {
  background-color: #555; /* Darker scrollbar thumb on hover */
}

.slide h1 {
  color: var(--secondary-color);
  font-weight: 800;
  text-align: center;
  padding: 10px 0;
  padding-right: 30px;
  font-size: 25px;
}

.slide {
  color: var(--text-color);
  font-weight: 500;
  display: block;
  text-transform: capitalize;
  text-decoration: none;
  transition: 0.2s ease ease-out;
  transform: translateX(-180px);
  height: 740px;
  font-family: "Times New Roman";
  left: 3px;
  overflow-y: auto;
  position: fixed;
}

.slide a {
  color: var(--text-color);
  font-weight: bold;
  text-decoration: none;
}

.Top {
  margin-left: 30px;
}

input[type="checkbox"] {
  visibility: hidden;
  position: absolute;
  z-index: -1;
}

.toggle {
  position: absolute;
  height: 30px;
  width: 30px;
  top: 10px;
  left: 15px;
  z-index: 1;
  background-color: var(--secondary-color);
  cursor: pointer;
  border-radius: 5px;
  border: 3px solid rgba(0, 0, 0, 0.175);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

.toggle .common {
  position: absolute;
  height: 2px;
  width: 20px;
  background-color: var(--text-color);
  border-radius: 50px;
  transition: 0.3s ease;
}

.toggle .top_line {
  top: 30%;
  left: 20%;
  transform: translate(-50% -50%);
}

.toggle .middle_line {
  top: 50%;
  left: 20%;
  transform: translate(-50% -50%);
}

.toggle .bottom_line {
  top: 70%;
  left: 20%;
  transform: translate(-50% -50%);
}

input:checked ~ .toggle .top_line {
  left: 2px;
  top: 14px;
  width: 25px;
  transform: rotate(45deg);
}

input:checked ~ .toggle .bottom_line {
  left: 2px;
  top: 14px;
  width: 25px;
  transform: rotate(-45deg);
}

input:checked ~ .toggle .middle_line {
  opacity: 0;
  transform: translateX(20px);
}

input:checked ~ .slide {
  transform: translateX(0);
  width: 300px;
  top: 0.5px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
}

.side {
  display: flex;
  justify-content: center;
  overflow-y: auto;
}

.side-container {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-direction: row;

  text-align: center;
  align-items: center;
}

.side-card {
  margin-top: px;
}

.side-card img {
  width: 250px;
  height: 260px;
  margin-left: -5px;
  border-radius: 8px;
  margin-top: 5px;
}

.side-grid {
  display: grid;
  grid-template-rows: repeat(auto);
  gap: 5rem;
}

.side-card {
  background-color: var(--bg-color);
  padding: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 240px;
  box-shadow: 30px 30px 8px rgba(0, 0, 0, 0.123);
  border: 3px solid rgba(0, 0, 0, 0.161);
}

.side-card p {
  color: black;
  margin-top: 10px;

  font-size: 13px;
}

.side-text {
  color: black;
  margin-top: 10px;
  font-size: 13px;
}

.navbar {
  background-color: var(--bg-color);
  position: sticky;
  justify-content: space-between;
  z-index: 1000;
  align-items: center;
  display: flex;
  margin: 10px;
  top: 0px;
  width: 100%;
  margin-top: 0px;
  margin-left: 0px;
  border: 3px solid var(--accent-color);
}

.navbar-container h2 {
  font-weight: bold;
  margin-left: 45px;
  font-size: 30px;
  font-family: "Times New Roman";
}
.navbar-container {
  display: flex;
  max-width: 500px;
  height: 50px;
  padding-left: 20px;
  padding-right: 20px;
  justify-content: center;
  align-items: center;
  color: var(--text-color);
}

.nav-links-container {
  display: flex;
  justify-content: center;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 50px;
  padding-right: 50px;
  color: var(--text-color);
}

.nav-links a {
  text-decoration: none;
  color: var(--text-color);
  font-style: italic;
  font-weight: bold;
  font-size: 20px;
  transition: font-size 0.3s ease;
}

.nav-links a:hover {
  font-size: 24px;
}

.Home {
  justify-content: center;
  max-width: 1000px;
  display: flex;
  align-items: center;
  padding-top: 80px;
  min-height: 50vh;
  margin: 90px auto;
  width: 70%;
  height: 200px;
}

.hero-container {
  position: relative;
  height: 100%;
  justify-content: center;
  align-content: center;
  top: 10px;
}
.hero-container img {
  max-width: 500px;
  float: left;
  border: 3px solid var(--accent-color);
  border-radius: 10px;
  margin-right: 33px;
  position: relative;
}

.about-text-container h2 {
  font-weight: bold;
  font-style: normal;
}
.about-text-container {
  display: block;
  font-size: 16px;
  color: var(--text-color);

  margin-top: -60px;
  font-family: "Times New Roman";
}

.secondimg {
  width: 150px;

  right: -400px;
  top: -100px;
  border: none !important;
  position: absolute;

  border-radius: 100 px !important;
}
hr {
  height: 30px;
  background-color: var(--bg-color);
}

.Articles {
  display: flex;
  justify-content: center;
  border: 2px solid var(--accent-color);
  background-color: var(--secondary-color);
  height: 900px;
}

.Article-Container {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 2000px;
  text-align: center;
  align-items: center;
}

.Art {
  justify-content: center;
  align-items: center;
  display: flex;
  color: var(--text-color);
  font-size: 80px;
  margin: 30px;
  font-weight: bold;
}

.Article-card {
  font-family: "Times New Roman";
}

.Article-card img {
  width: 400px;
  height: 300px;
  background-color: var(--text-color);
  border-radius: 10px;
}

.secimg {
  margin-top: -30px;
}

.Article-grid {
  display: grid;
  grid-template-columns: repeat(2, minmax(200px, 1fr));
  gap: 10rem;
  margin-top: 1rem;
  width: 100%;
}

.Article-card {
  background-color: var(--bg-color);
  padding: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 400px;
  box-shadow: 30px 30px 8px rgba(0, 0, 0, 0.123);
  border: 3px solid rgba(0, 0, 0, 0.161);
}

.button {
  border: none;
  color: white;
  padding: 15px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px;
  cursor: pointer;
  border-radius: 12px;
  margin-top: 20px;
  background-color: var(--secondary-color);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.button:hover {
  background-color: var(--accent-color);
  color: var(--text-color);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
  transform: scale(1.05);
}

.Article-card a {
  font-size: 1.5rem;
  text-decoration: none;
  color: var(--text-color);
  font-weight: bold;
}

.Article-card p {
  font-size: 1rem;
  line-height: 1.5;
  align-items: center;
  margin-left: 15px;
  margin-top: 10px;
}

.Resources {
  padding: 3rem;
  font-size: 15px;
  height: 240px;
  max-width: 1000px;
  height: 240px;
  width: 100%;
  margin: 0 auto;
}
.resources-container {
  width: 1000px;
  height: 240px;

  position: relative;
}

.rh2 {
  margin-bottom: 1rem;
  font-size: 30px;
  margin-left: -120px;
  color: var(--text-color);
}

.Links {
  color: var(--text-color);
  text-decoration: none;
}

.alinks {
  color: rgba(7, 9, 8, 0.803);
  display: block;
}

.Contacts {
  padding: 3rem;
  color: var(--text-color);
  display: flex;
  justify-content: center;
  position: relative;
  height: 380px;
}

.contacts-container {
  max-width: 1500px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  position: relative;
}
.contacts-container form textarea {
  display: block;
  width: 100%;
  padding: 10px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.Contacts form {
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.Contacts form input {
  width: 100%;
  padding: 1rem;
  border: 3px solid var(--bg-color);
  border-radius: 5px;
  margin-top: 10px;
}

.Contacts form textarea {
  width: 100%;
  padding: 1rem;
  margin-top: 10px;
  border: 3px solid var(--bg-color);
}

.btn {
  width: 90px;
  background-color: var(--bg-color);
  color: var(--text-color);
  right: -32px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 13px;
  font-weight: bold;
  padding: 0.6rem 1rem;
  border-radius: 10px;
  border: 3px solid rgba(0, 0, 0, 0.118);
  cursor: pointer;
  display: block;
  max-width: 90px;
  margin: 0 auto;
  position: absolute;
  top: 365px;
  box-shadow: 9px 7px 6px rgba(0, 0, 0, 0.153);
}

.Footer {
  display: flex;
  justify-content: center;
  padding: 2rem;
}

.footer-container {
  width: 100%;
  max-width: 1000px;
  gap: 1rem;
  display: flex;
}

.footer-copyright {
  letter-spacing: px;
  margin-left: 300px;
}
